Summary: glChess - A 3D chess interface
Name: glchess
Version: 0.4.7
Release: 0
Copyright: GPL
Group: Amusements/Games
BuildRoot: /var/tmp/%{name}-buildroot
Source: %{name}-%{version}.tar.bz2
Source1: glchess.menu
Patch0: glchessrc.patch
Packager: Giuseppe Borzi' <gborzi@ieee.org>
URL: http://glchess.sf.net

%description
glChess is a 3D OpenGL based chess game that interfaces via the Chess Engine
Communication Protocol (CECP) by Tim Mann. This means it can currently use
Crafty and GNU Chess as AIs. You can also play Human vs. Human, but so far
not over a netwerk (see TODO).

%prep
%setup -q
%patch0 -p0

%build
./autogen.sh
./configure
make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
mkdir -p $RPM_BUILD_ROOT%{_datadir}/games/glchess/textures
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/etc
cp src/glchess $RPM_BUILD_ROOT/%{_bindir}
cp man/glchess.6 $RPM_BUILD_ROOT/%{_mandir}/man6
gzip -9v $RPM_BUILD_ROOT/%{_mandir}/man6/glchess.6
cp -r textures $RPM_BUILD_ROOT/%{_datadir}/games/glchess/
cp glchessrc $RPM_BUILD_ROOT/etc
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/X11/wmconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING AUTHORS NEWS TODO
%{_bindir}/*
%{_mandir}/man6/*
%{_datadir}/games/glchess/textures/*
/etc/glchessrc
%{_sysconfdir}/X11/wmconfig/*

%changelog
* Mon Jul 9 2001 Giuseppe Borzi' <gborzi@ieee.org>
- version 0.3.2

* Fri Jun 29 2001 Giuseppe Borzi' <gborzi@ieee.org>
- version 0.3.0
