/*
 * glChess - A 3D chess interface
 *
 * Copyright (C) 2002  Robert  Ancell <bob27@users.sourceforge.net>
 *                     Michael Duelli <duelli@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "global.h"

/* Center of gravity of pieces */
float cog_height[] = { 11.95, 11.0, 9.2, 8.9, 6.5, 6.7 };

/* Which engine should be used */
int engine = -1;

/* The promotion piece */
int promotion = -1;

/* Move list stuff */
int *move_list = NULL;
int move_list_bufsize = 0;

/* The idle tag */
gint idle_tag = -1;

/* Regulates size of pieces */
float piece_size = 1.0;
