/*
 * glChess - A 3D chess interface
 *
 * Copyright (C) 2002  Robert  Ancell <bob27@users.sourceforge.net>
 *                     Michael Duelli <duelli@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

glChessWidget *init_interface(int, char **, Game *);
void init_game(glChessWidget *);
void end_game(glChessWidget *);
gint interface_idle(gpointer);
gint interface_expose_view(GtkWidget *, GdkEventExpose *, glChessWidget *);
gint interface_reshape_view(GtkWidget *, GdkEventConfigure *,
			    glChessWidget *);
gint interface_init_view(GtkWidget *, glChessWidget *);
gint interface_key_press_view(GtkWidget *, GdkEventKey *, glChessWidget *);
gint interface_motion_view(GtkWidget *, GdkEventMotion *, glChessWidget *);
gint interface_click_view(GtkWidget *, GdkEventButton *, glChessWidget *);
glChessWidget *create_main_window(Game *);
