/*
 * glChess - A 3D chess interface
 *
 * Copyright (C) 2002  Robert  Ancell <bob27@users.sourceforge.net>
 *                     Michael Duelli <duelli@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

GtkWidget *generate_menus(glChessWidget *, GtkWidget **, GtkWidget **);
void start_game(glChessWidget *, guint, GtkWidget *);
void resign_game(glChessWidget *, guint, GtkWidget *);
void save_settings(glChessWidget *, guint, GtkWidget *);
void toggle_pause(glChessWidget *, guint, GtkWidget *);
void binary_dialog_cb(glChessWidget *, guint, GtkWidget *);
void toggle_lighting(glChessWidget *, guint, GtkWidget *);
void toggle_shading(glChessWidget *, guint, GtkWidget *);
void toggle_texture(glChessWidget *, guint, GtkWidget *);
void toggle_fog(glChessWidget *, guint, GtkWidget *);
void toggle_coords(glChessWidget *, guint, GtkWidget *);
void toggle_beep(glChessWidget *, guint, GtkWidget *);
void toggle_debug(glChessWidget *, guint, GtkWidget *);
void toggle_color(glChessWidget *, guint, GtkWidget *);
void toggle_piece_size(glChessWidget *, guint, GtkWidget *);
void set_reflect(glChessWidget *, guint, GtkWidget *);
void set_view_mode(glChessWidget *, guint, GtkWidget *);
void set_max_fps(glChessWidget *, guint, GtkWidget *);
